Package net.shibboleth.idp.cli.impl

# Class ModuleManagerCLI

java.lang.Object
net.shibboleth.shared.cli.AbstractCommandLine<T>
net.shibboleth.idp.cli.AbstractIdPHomeAwareCommandLine<ModuleManagerArguments>
net.shibboleth.idp.cli.impl.ModuleManagerCLI

public final class ModuleManagerCLI extends AbstractIdPHomeAwareCommandLine<ModuleManagerArguments>
Command line for `IdPModule` management.

## Nested Class Summary

## Nested classes/interfaces inherited from class net.shibboleth.shared.cli.AbstractCommandLine

`AbstractCommandLine.TerminalCodes`

## Field Summary

Fields
Modifier and Type
Field
Description
`private org.slf4j.Logger`
`log`
Class logger.

### Fields inherited from class net.shibboleth.shared.cli.AbstractCommandLine

`ARGS_PROPERTY, RC_INIT, RC_IO, RC_MODULE, RC_OK, RC_UNKNOWN`

## Constructor Summary

Constructors
Constructor
Description
`ModuleManagerCLI()`

## Method Summary

Modifier and Type
Method
Description
`private int`
`doList(ModuleContext moduleContext, ModuleManagerArguments args)`
List/report on modules.
`private int`
`doManage(ModuleContext moduleContext, ModuleManagerArguments args)`
Manage modules as directed.
`private void`
`doReportOperation(Module.ModuleResource resource, Module.ResourceResult result)`
Report on a resource result.
`protected int`
`doRun(ModuleManagerArguments args)`
`protected List<Resource>`
`getAdditionalSpringResources()`
`protected Class<ModuleManagerArguments>`
`getArgumentClass()`
`protected org.slf4j.Logger`
`getLogger()`
`protected String`
`getVersion()`
`static void`
`main(String[] args)`
CLI entry point.

### Methods inherited from class net.shibboleth.idp.cli.AbstractIdPHomeAwareCommandLine

`getHttpClient, getHttpClientSecurityParameters`

### Methods inherited from class net.shibboleth.shared.cli.AbstractCommandLine

`getApplicationContext, initLogging, run, setCaseSensitiveOptions, setContextInitializer`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### log

@Nullable private org.slf4j.Logger log
Class logger.

## Constructor Details

### ModuleManagerCLI

public ModuleManagerCLI()

## Method Details

### getLogger

@Nonnull protected org.slf4j.Logger getLogger()

Specified by:
  `getLogger` in class `AbstractCommandLine<ModuleManagerArguments>`

### getArgumentClass

@Nonnull protected Class<ModuleManagerArguments> getArgumentClass()

Specified by:
  `getArgumentClass` in class `AbstractCommandLine<ModuleManagerArguments>`

### getVersion

@Nonnull protected String getVersion()

Specified by:
  `getVersion` in class `AbstractCommandLine<ModuleManagerArguments>`

### getAdditionalSpringResources

@Nonnull @NotLive @Unmodifiable protected List<Resource> getAdditionalSpringResources()

Overrides:
  `getAdditionalSpringResources` in class `AbstractCommandLine<ModuleManagerArguments>`

### doRun

protected int doRun(@Nonnull ModuleManagerArguments args)

Overrides:
  `doRun` in class `AbstractIdPHomeAwareCommandLine<ModuleManagerArguments>`

### doList

private int doList(@Nonnull ModuleContext moduleContext, @Nonnull ModuleManagerArguments args)
List/report on modules.

Parameters:
  `moduleContext` - context
  `args` - arguments
Returns:
  return code

### doManage

private int doManage(@Nonnull ModuleContext moduleContext, @Nonnull ModuleManagerArguments args) throws ModuleException
Manage modules as directed.

Parameters:
  `moduleContext` - context
  `args` - arguments
Returns:
  return code
Throws:
  `ModuleException` - to report module errors

### doReportOperation

private void doReportOperation(@Nonnull Module.ModuleResource resource, @Nonnull Module.ResourceResult result)
Report on a resource result.

Parameters:
  `resource` - resource
  `result` - result of operation

### main

public static void main(@Nonnull String[] args)
CLI entry point.

Parameters:
  `args` - arguments